## ESystemLocaleWatcher ESystemLocaleWatcher |

## Functions

ESystemLocaleWatcher * | e_system_locale_watcher_new ()
gchar * | e_system_locale_watcher_dup_locale ()

## Types and Values

struct | ESystemLocaleWatcher

## Object Hierarchy

        GObject
        ╰── ESystemLocaleWatcher

## Description

## Functions

### e_system_locale_watcher_new ()

    ESystemLocaleWatcher *
    e_system_locale_watcher_new (void);

Creates a new ESystemLocaleWatcher instance, which listens for D-Bus notification on locale changes. It uses system bus, unless an environment variable "EDS_TESTING" is defined, in which case it uses the session bus instead.

#### Returns

a new ESystemLocaleWatcher.

[transfer full]

Since: 3.30

### e_system_locale_watcher_dup_locale ()

    gchar *
    e_system_locale_watcher_dup_locale (ESystemLocaleWatcher *watcher);

Returns the current locale, as detected by the `watcher` . The string is duplicated for thread safety. It can be `NULL`, when the locale was not detected yet.

Free it with `g_free()`, when no longer needed.

#### Parameters

watcher | an ESystemLocaleWatcher |

#### Returns

the system locale, as detected by the `watcher` .

[transfer full][nullable]

Since: 3.30

## Types and Values

### struct ESystemLocaleWatcher

    struct ESystemLocaleWatcher;

Contains only private data that should be read and manipulated using the functions below.